List posts
curl --request GET \
--url https://api.example.com/v1/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
posts
List posts
GET
/
v1
/
posts
List posts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
draft, scheduled, publishing, published, partial, failed Available options:
instagram, whatsapp, tiktok, telegram, youtube, x, facebook, meta_ads, linkedin Search in the post content
Only posts scheduled on or after this date
Only posts scheduled on or before this date
Sort by createdAt (newest first) or scheduledFor (queue order, soonest first)
Available options:
createdAt, scheduledFor Response
200 - undefined